Comments
+10

*From February 28th till yesterday.

+13

I didn't solve them after becoming CM, I did them when I was Expert. Of course they were helpful for my growth during that stage.

+9

Makes sense, how can there be any correlation between being able to solve hard problems and being able to solve problems in contests!

0

Hm, I agree. This submissions are definitely fake

On ARMINIUS → Becoming CM!, 3 years ago
0

My average time to solve 2200s is actually around 3 hours, excluding the ones that I remain stuck for days

On ARMINIUS → Becoming CM!, 3 years ago
0

That's very interesting, I didn't know Div2 2400s and Div1 2400s have that much difference. I never particularly noticed any difference (I guess I just didn't try enough) in div2 vs div1 problems upto 2200s. There is clearly a distinction between div3 and div2/div1 tho. Div3 2200s some times feel like div2 1800s or even 1600s

On ARMINIUS → Becoming CM!, 3 years ago
0

I have been thinking about the same issue. I already have over a hundred 2200 solves, now I am wondering whether I should move on to 2300/2400 or should focus on contests first. Btw, I could solve around 85% of the problems I had seen in 2200 (excluding Div3 ones). What should I do now?

On Smirk → jiangly changes his pfp!, 3 years ago
+24

He must have been the youngest father!

On Smirk → jiangly changes his pfp!, 3 years ago
+18

Advancement made: Got a non-anime girlfriend

0

You are wasting my time. Tada, I am going to sleep

0

Our friendly racist guy has left even more message. Why so much hate bro

0

A friendly message from our Indian friend.

0

I have no reason to care enough to prove a point

0

Seems to me you have gotten mental issues. Keeping up with your deranged nonsense

0

By going through workshops, youtube lectures. And I do check the editorial for better solutions when I think there might be one

0

So you are suggesting that I should be nice with people who are being an ass with me?

0

Ok, have fun

0

Both of them are C++

-6

Yes, you are free not to believe. 20 was a long time ago tho, now it's probably around 30.

0

Thanks a lot. I started taking notes from my problems since I reached expert. I realized that my greatest weakness is not doing enough contests. It starts stressing me whenever I am stuck for a div2C for like 20 minutes, and I start making mistakes and end up taking even more time than I should have. I have participated in only 6/7 contests using alt id since I reached expert tho. So I would need more experience to figure out what's wrong

0

I stopped using python before I reached pupil. I don't know what you are talking about

+2

I like overkilling things. I work hard in the delusion that I will get to CM in one shot!

Anyways, to be serious, I am not in my form right now. Trying to recover from it. Afterwards I will start contesting again

0

This was a troll post. But thanks to everyone who offered kind words, I appreciate it.

-8

More Example for you if not evident enough

-14

I have looked at editorials before solving any problem in my entire CP career for like 20 problems ;) The reason my accuracy is high is because I solve in sheets  This is one bad case example, in case you are wondering

 And here's my solve counts

Quite a massive editorial for a div2/B. But nice work anyways.

a month

How am I ever going to beat that schedule!

On Ashwanth.K → how to become GM?, 3 years ago
0

Hm, I don't mind practicing. I prefer the hard way anyways

On Ashwanth.K → how to become GM?, 3 years ago
0

Is there any way that doesn't involve luck?

Thanks man

Maybe, but I may need to deal with them when practicing.

Nah, just on CF. There is no need for a sheet. Just go to problemset, set a range and start solving problems one by one. Like this: codeforces.com/problemset?order=BY_RATING_ASC&tags=1600-

Well, I can tell you about algorithms I knew when I became Expert. Euler phi, sieve variants, trie tree, disjoint set union, binary exponentiation, modulo inverse/ Fermet's little theorem, topological sorting, dijkstra, floyd warshal, bellman ford, hashing, DP (coin dp, knapsack, LCS etc), segment trees, BITs etc. I don't even remember using half of these ever in any contest, but these are more than enough. I learnt like CRT, Edmond carp which have no use in expert. Also I learnt some stuff for fun like Sqrt decomposition, Mo's algorithm, Heavy light decomposition, Centroid decomposition they also have almost no uses below 2000 rating problems. I also learnt KMP, LCA, binary lifting. Problems related to these topics are fairly common in 1900-2000s. KMP is found in 1700-1800s sometimes. These are not necessary. I learnt them because I enjoyed learning, also because by the time I was Expert I was already solving 2000R problems and I don't like worrying about missing out topics.

I didn't imagine so many people would stumble at A

I did this for every i, k = prefix[i]; resulting score = prefix[n] + max(0, prefix[i] — min(prefix[i + 1]....prefix[n]))

Man, I solved it with DP, shame on me

oh, my bad

I don't get why do you guys have so many collisions, I never had any collision issues, even with problems with very similarly written answers. Maybe change the way you write code a bit, different variable names, macros etc? Also, a piece of advice for you. You are newbie right now, the time when you should worry about losing rating hasn't come yet. Focus more on problem solving and improving your skills than contests

I am confused, I don't see any range query here, shouldn't this be possible in O(n) without following any DS?

Shit opinion dude, but thanks for the complement!

My fav is LCA with binary lifting, least fav is probably sqrt decomposition

Hopefully I will start soon.

This is a very rough estimation. Not considering contests, I have around 260+ 1900R+ problems, it's difficult to say the exact average time I spent for each problem, because I usually don't solve difficult problems in one sit. But I would guess, on average 120 minutes for each of them, probably around 30 of them took me days to solve, but since I didn't solve them in one sit, I assume they took me 8 hours on average. Here I get 120 * 230 + 8 * 60 * 30 = 700 hours. 85 1600R problems, around 120 minutes for 40 of them, 40 minutes for 30, and 20 minutes for 15, That is 105 hours. 48 1700R problems, around 90 minutes in average, that would be 72 hours. 120 minutes average for 79 1800R, that would be 158 hours.

So, that estimates 700 + 105 + 72 + 158 = 1035 Hours for 1600R+ problems. For the 129 1400R-1500R problems, I guess that would be 45 minutes on average, sums up to around 97 hours. 40 of the 1200R problems probably took me 90 minutes average, that is 60 hours. The 542 remaining problems probably took me another 90 hours

So, altogether it is 1035 + 97 + 60 + 90 = 1282 hours. I think this is way off, do you think as well

+8

The goals you are talking about are not only ridiculous, but also waste of time even if they were possible. Solve random problems. Right now you should focus on 800-1200 Rating problems. If you are insane like I am then you can go upto 500-600+ rated problems than your current rating. Learn greedy, two-pointers, some number theory and practice a lot of random problems (not topic-wise divided). For example you can aim to solve around 60 of 800, 1000, 1200 rated problems, and gradually move to higher rating as you get better.

On Shreyash_256 → Streak..., 4 years ago
0

Nice to see you didn't lose your streak, good luck

Sorry for you man. I also almost lost my 311 days streak, luckily my timeline is UTC+6. Regardless, the way you are maintaining streak is not helpful. You have around 650 800R solves. Which is over double the number of 800 solves I have done in my entire CP career. You should try to maintain a streak with high number of high rating problems.

Anyways, you can try again. I lost my streak twice, around 40+ days and 50+ days

On zzzzsust19 → 1900 not good enough?, 4 years ago
0

Btw, how long have you been practicing like this. I also have been practicing in a similar manner. It's been around a year since I started grinding.

On zzzzsust19 → 1900 not good enough?, 4 years ago
0

Yes, such a troll

On zzzzsust19 → 1900 not good enough?, 4 years ago
0

That's a shocker!

As for algorithms I learnt, euler phi, sieve variants, trie tree, disjoint set union, binary exponentiation, modulo inverse/ Fermet's little theorem, topological sorting, dijkstra, floyd warshal, bellman ford, hashing, DP (coin dp, knapsack, LCS etc), segment trees, BITs etc. These are usually enough for getting to expert.

I actually also learnt some other DS and algos as part of my course syllabus like CRT, Edmond carp which I haven't found much use of. Also some other algorithms and techniques I learnt for fun like Sqrt decomposition, Mo's algorithm, Heavy light decomposition, Centroid decomposition have almost no uses below 2000 rating problems. I also learnt KMP, LCA, binary lifting. Problems related to these topics are fairly common in 1900-2000s. KMP is found in 1700-1800s sometimes. All these algos in this section are not necessary for now. I learnt them because I enjoyed learning. Also, I hated having to rely on editorials so I learnt a lot of these algos, so that I don't have to fear missing out knowing something

There isn't much you need to learn to get to Specialist. I don't particularly know how I got there myself. When I first reached Cyan, I had about 20+ 1600 rating problems, and 80+ 1400 rating problems. If you can consistently solve A, B and C in div 2 rounds, it will be enough to get you to cyan. After reaching cyan, I focused on practicing 1600 rating problems and above, practicing problems of rating 1600-1800 really helped me a lot to get a stable performance in cyan. I also learnt a lot of algorithms at this stage, most of them were covered by my university syllabus.

I am not yet a stable expert, so there is not much I can say about "how to reach expert". But right now, I am aiming to practice 1900-2100 problems for my next target, which is CM.

To be stable specialist, you will have to be good at solving problems ranging 1500-1700, div2 C are mostly from that range, and also occasionally 1400. They will be enough to get you above 1500. If you can on average get yourself ranked below 2000 you will easily reach 1500 and up to around 1550 rating

Also, I had some downfalls. I once fell to pupil (around 1360), but again, on the next contest I jumped back to specialist with around +75 delta. In high rating it's quite easy to lose rating, but you will usually regain them within a contest or two. Specially above expert it's highly competitive. Most of my friends in expert level have been stuck here for quite a long time

End of the day, it's all about practice. You will need a lot of practice. As for contests, I usually don't do contests much, but they also help. You may consider doing a lot of VC

Me too

correction: it's O(logn) not O(1)

You need to do it in LogN, because of the number of test cases. I also suspected whether there is a limit on the sum of (R-L+1) over all cases or not, so I asked the judges a question. There wasn't any

Same here in Bangladesh, CF rating helps a lot getting shortlisted for job interviews. I still don't get it why people cheat in contests tho. I practice CP partially to boost my confidence in job interviews, at least on the technical interviews. And cheating is only going to reduce my confidence in the long run

I totally thought that my "perfectly correct solution" is going to get WA

You are not struggling with expert. And you don't need to consistently solve whole div 3 to be above 1600. Regardless, I said it as it is. I only brought this up because somebody started nagging about how I will "remain cyan for a long time". It irritates me that I have to explain how I know what I am saying in a comment which has little to do with rating

+5

You read in college? Don't you have a CP community in your college?

Yes, now I am. And you dug pretty deep into my blog history given that it's "none of you business". What is it that reds don't know? Point it out. In fact, you could do it in the very beginning. But instead, you kept badgering about how I will remain cyan for a long time

Then don't. I fail to see why you are getting triggered

Alt id is alt for a reason. I wasn't struggling to solve 4 problems. I started half an hour late, and was sick so pretty much forcefully finished it. And I don't feel entitled to prove you a point, take it as you please

I am expert in my alt id, your point?

Euler phi, sieve variants, trie tree, disjoint set union, binary exponentiation, modulo inverse/ Fermet's little theorem, topological sorting, dijkstra, floyd warshal, bellman ford, hashing, DP (coin dp, knapsack, LCS etc), segment trees, BITs etc. I also learnt some other DS and algos as part of my course syllabus like CRT, Edmond carp which I haven't found much use of. Also some other algorithms and techniques I learnt for fun like Sqrt decomposition, Mo's algorithm, Heavy light decomposition, Centroid decomposition have almost no uses below 2000 rating. I also learnt KMP, LCA, binary lifting. Problems related to these topics are fairly common in 1900-2000s. KMP is even found in 1700-1800s sometimes. It's a retarded thing to say that you don't need to learn algorithms. Not knowing the necessary algos can badly hinder your practice sessions especially if you are like me who hates looking at editorials

Very lame and derogatory way of making a joke, you talk like a child

I practice 1900-2000 rating problems, and I don't see how learning "binary search" deals with 1900-2000 problems. Please kindly explain.

Solve 86D - Powerful array with binary search only, I will consider "go learn binary search" then

Please teach me how to get Grey

Thanks for the suggestions, that's what I was looking for

I know almost all of these topics. You will actually find a lot of problems related to these topics in 1800-2000. What I am looking for are the more advanced algorithms and data structures I may need to learn. For example, Square root decomposition, centroid decomposition, heavy light decomposition etc. I came across a few problems that require these, don't know how common they are though

thanks

I would expect to get to 1600 rating. Most of these solves are actually after I hit my 1500 peak. But last contest I blundered problem A three times and got quite a smackdown, and I haven't been in the mood of contesting since then.

So far, I have around 60+ 1800R, 50+ 1900R, 25+ 2000R problems. As for my regular practice, right now I would be focusing on 2000R problems. But I also want to try some high rated problems from time to time to keep things interesting

Also, binary search is a very common topic at least in lower rating problems. Try mastering this topic, this is also easy to get into.

You can search in youtube for the algorithm, also search for blogs in CF for problems related to dfs, bfs.

Btw, aren't you from BD? then follow this lecture: https://www.youtube.com/watch?v=K0N0VozQMnA&t=1347s&ab_channel=BangladeshAdvancedComputingSociety-BACS Follow this channel, it's helpful. Also you can find DP related videos here

Ok, that's good, solve 1600s as well. Also, when solving a problem rely on guides as less as possible. I used to spend days to months before deciding to take help from guide. Maybe that's what is decreasing your output. If you want to improve, then you will have to spend time on solving problems and thinking hard when solving problems

After I saw your account statistics, I change my mind. Don't practice 1200 rating problems, practice 1600 only. Also, by the time I had 68 1400R solves, I was specialist already, why is your rating so low? How do you practice

Practice 1200R-1400R problems and sometimes 1600R problems maybe. 1600R is much harder compared to 1400s, specially if you compare 1400s vs 1200s and 1600s vs 1400s. I would recommend learn basic graph theory first (dfs, bfs) then go for DP. Before starting dp, make sure you have a clear idea how recursion works. Moreover, DP is not just a single topic you can learn and start solving right away, it is a whole another dimension. So, mastering DP will require time. And most of the good DP problems I have seen are above 1700R. Below that range, dp problems are quite rare. Anyways, you can learn DP and graph theory concurrently once you have covered the basics, I don't see the problem.

CM by March, Master by August.

The trick is that K can only decrease by 10^5 times. Since the minimum power is 1 and k is 10^5, therefore you would have to loop at most k + n times at worst case. Therefore you don't nearly need 1e7 operations.

I don't think the difficulty gap between problem C and B is that wide as many suggests to be. The only reason I couldn't solve it in contest time was because I freaked out and thought this would be too hard. Spent the rest of the contest trying to solve D (because combinatorics, and I thought I could do it in time) and ended up getting none of them right in time.

+4

The skill gap between Div2 C and D is much wider than the difference between Div2 B and C it seems. Div2 D no problems usually consist of 1700R-2100R and sometimes even higher than that

why is everybody angry?

yeah

0

Can I participate in USACO contest. If yes, how?

I only learnt the C of coding at grade 11. Sed me

On Edison829 → How to get to Grandmaster, 4 years ago
-9

It is far too early for a newbie to aim for grandmaster. You should aim for Master for now

On cadmiumky → How to un-become Master, 4 years ago
+3

Last contest I woke up 5 minutes before the contest and got 150+ up. Coincidence? No. Always start contest right after you wake up. (Wake up unoptimally of course). If you are wide awake, fresh and sane, than you will constantly be worried about your performance and getting a rating down. The drunker you are, the better you do.

On vrintle → Finally, I became Master!, 4 years ago
0

I have started practicing 2000R problems. I am not very good at 1800R or 1900R problems. But I felt they were not challenging enough to help me improve. Should I move on to 2000R or stick to 1800-1900

With the whole sieve built with linear sieve, you can easily compute each query in LOG(n), I am not sure what you mean by time inefficient. Can you explain?

generating primes up to 10^7 is much more convenient as you can easily do that with linear sieve. Besides, given the number of test cases, traversing all the prime numbers up to sqrt(num) is a bit risky

It's nothing compared to div1 rounds. You need more practice

thanks

That seems small, I think I wrote larger code than that

You call that lengthy code? Look at this code I wrote for the only 2400R problem I ever solved. Embrace the horror, bwahahahaha!

I want to answer your question but I don't know how I got to specialist

Yeah, I haven't solved any problem in python in last 5 months probably

On EnDeRBeaT → Historic moment, 4 years ago
+8

Nah, he definitely knows how to unary search in python